<?php
require_once 'Constants.php';
class UsersAPIHandler {
  
  private $customerId;
  private $apiKey;
  
  public function __construct($customerId, $apiKey) {
    $this->apiKey = $apiKey;
    $this->customerId = $customerId;
  }
  
  public function update(MiniorangeUser $user) {
    $fields = array(
        'customerKey' => $user->getCustomerId(),
        'username' => $user->getEmail(),
        'phone' => $user->getPhone(),
        'authType' => $user->getAuthType(),
        'transactionName' => Miniorange2FAConstants::$PLUGIN_NAME, 
  );
    $json = json_encode($fields);
    
    $url = Miniorange2FAConstants::$USERS_UPDATE_API;
    
    return Utilities::callService($this->customerId, $this->apiKey, $url, $json);
  }
  
  public function get(MiniorangeUser $user) {
    $fields = array(
        'customerKey' => $user->getCustomerId(),
        'username' => $user->getEmail() 
  );
    $json = json_encode($fields);
    
    $url = Miniorange2FAConstants::$USERS_GET_API;
    
    return Utilities::callService($this->customerId, $this->apiKey, $url, $json);
  }
  
  public function create(MiniorangeUser $user) {
    $fields = array(
        'customerKey' => $this->customerId,
        'username' => $user->getEmail(),
        'firstName' => $user->getName() 
  );
    $json = json_encode($fields);
    
    $url = Miniorange2FAConstants::$USERS_CREATE_API;
    
    return Utilities::callService($this->customerId, $this->apiKey, $url, $json);
  }
  
  public function search(MiniorangeUser $user) {
    $fields = array(
        'customerKey' => $user->getCustomerId(),
        'username' => $user->getEmail() 
  );
    $json = json_encode($fields);
    
    $url = Miniorange2FAConstants::$USERS_SEARCH_API;
    
    return Utilities::callService($this->customerId, $this->apiKey, $url, $json);
  }
}