<?php
/**
 * @file
 * Contains support form for miniOrange 2FA Login Module.
 */

 /**
 * Showing Support form info.
 */
 function mo_auth_login_settings($form, &$form_state) {

   if(!Utilities::isCustomerRegistered()) {
      $form['header'] = array(
        '#markup' => '<center><h3>You need to register with miniOrange before using this module.</h3></center>',
    );
      return $form;
    }

  return $form;

 }

 /**
  * Send support query.
  */
 function mo_auth_login_settings_submit($form, &$form_state) {
   $form_state['rebuild'] = TRUE;
    $email = $form['mo_auth_email_address']['#value'];
    $phone = $form['mo_auth_phone_number']['#value'];
    $query = $form['mo_auth_support_query']['#value'];
    $support = new Miniorange2FASupport($email, $phone, $query);
    $support_response = $support->sendSupportQuery();
    if($support_response) {
      drupal_set_message(t('Support query successfully submitted.'));
      drupal_goto('admin/config/people/mo_auth');
    }
    else {
      drupal_set_message(t('Error submitting support query. Please send us your query to info@miniorange.com'), 'error');
      drupal_goto('admin/config/people/mo_auth');
    } 
 }